
From: Trivial Patch Monkey <trivial@rustcorp.com.au>

From:  maximilian attems <janitor@sternwelten.at>

Print something friendlier than:

/bin/sh: fig2dev: command not found
make[1]: *** [Documentation/DocBook/parport-share.eps] Error 127
make: *** [pdfdocs] Error 2


---

 25-akpm/Documentation/DocBook/Makefile |    6 ++++++
 1 files changed, 6 insertions(+)

diff -puN Documentation/DocBook/Makefile~docbook-build-warning Documentation/DocBook/Makefile
--- 25/Documentation/DocBook/Makefile~docbook-build-warning	Fri Mar 12 14:01:18 2004
+++ 25-akpm/Documentation/DocBook/Makefile	Fri Mar 12 14:01:18 2004
@@ -149,12 +149,18 @@ quiet_cmd_fig2eps = FIG2EPS $@
       cmd_fig2eps = fig2dev -Leps $< $@
 
 %.eps: %.fig
+	@(which fig2dev > /dev/null 2>&1) || \
+	 (echo "*** You need to install transfig ***"; \
+	  exit 1)
 	$(call cmd,fig2eps)
 
 quiet_cmd_fig2png = FIG2PNG $@
       cmd_fig2png = fig2dev -Lpng $< $@
 
 %.png: %.fig
+	@(which fig2dev > /dev/null 2>&1) || \
+	 (echo "*** You need to install transfig ***"; \
+	  exit 1)
 	$(call cmd,fig2png)
 
 ###

_
